> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /usaspending/awards/search/count

> Count U.S. federal awards by category for a set of filters

**Price:** 1 credit



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/usaspending/awards/search/count
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/usaspending/awards/search/count:
    post:
      tags:
        - /usaspending
      summary: /usaspending/awards/search/count
      description: |-
        Count U.S. federal awards by category for a set of filters

        **Price:** 1 credit
      operationId: __api_usaspending_awards_search_count_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UsaspendingAwardsCountPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsaspendingAwardCount'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UsaspendingAwardsCountPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keywords:
          items:
            type: string
          type: array
          minItems: 1
        award_type_codes:
          anyOf:
            - items:
                $ref: '#/components/schemas/UsaspendingAwardTypeCode'
              type: array
            - type: 'null'
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - keywords
    UsaspendingAwardCount:
      properties:
        '@type':
          type: string
          default: UsaspendingAwardCount
        contracts:
          type: integer
          default: 0
        direct_payments:
          type: integer
          default: 0
        grants:
          type: integer
          default: 0
        idvs:
          type: integer
          default: 0
        loans:
          type: integer
          default: 0
        other:
          type: integer
          default: 0
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    UsaspendingAwardTypeCode:
      type: string
      enum:
        - A
        - B
        - C
        - D
        - IDV_A
        - IDV_B
        - IDV_B_A
        - IDV_B_B
        - IDV_B_C
        - IDV_C
        - IDV_D
        - IDV_E
        - '02'
        - '03'
        - '04'
        - '05'
        - '06'
        - '07'
        - '08'
        - '09'
        - '10'
        - '11'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````